@charset "utf-8";

/* Large devices (large desktops, 1200px and up) */
@media (min-width: @screen-lg-min) { ... }
@media (max-width: @screen-xs-max) { ... }
@media (min-width: @screen-sm-min) and (max-width: @screen-sm-max) { ... }
@media (min-width: @screen-md-min) and (max-width: @screen-md-max) { ... }
@media (min-width: @screen-lg-min) { ... }

@font-face{
    font-family:'FontAwesome';
    font-weight:normal;
    font-style:normal;
}

html{
	height: 100%;
}

img{
	border:none;
}

h4 {
	display: block;
	-webkit-margin-before: 1.33em;
	-webkit-margin-after: 1.33em;
	-webkit-margin-start: 0px;
	-webkit-margin-end: 0px;
	font-weight: bold;
	outline: 0;
}

/*************************** Form style **************************/
#msform {
	width: 700px;
	margin: 50px auto;
	text-align: center;
	position: relative;
}
#msform fieldset {
	background: white;
	border: 0 none;
	border-radius: 3px;
	box-shadow: 0 0 15px 1px rgba(0, 0, 0, 0.4);
	padding: 20px 30px;

	box-sizing: border-box;
	width: 100%;
	/*margin: 0 10%;*/

	/*stacking fieldsets above each other*/
	/*position: absolute;*/
}
/*Hide all except first fieldset*/
#msform fieldset:not(:first-of-type) {
	display: none;
}

#msform .control-label {
    text-align: right;
}

.form-group.required .control-label:after{
	color: #d00;
	content: "*";
	font-family: 'FontAwesome';
	font-weight: 700;
	font-size: 18px;
	padding-left: 5px;
	vertical-align: super;
}

/*************************** Form inputs **************************/
#msform input, #msform textarea, #msform select {
	/*padding: 15px;
	border: 1px solid #ccc;
	border-radius: 3px;
	width: 100%;
	box-sizing: border-box;
	color: #2C3E50;
	font-size: 13px;*/
	margin-bottom: 10px;
}

/*buttons*/
#msform .action-button, #msform .summary_btn,
#msform .edit-action-button, #msform .action-button-free{
	width: 100px;
	background: #27AE60;
	font-weight: bold;
	color: white;
	border: 0 none;
	border-radius: 1px;
	cursor: pointer;
	padding: 10px 5px;
	margin: 10px 5px;
}
#msform .summary_btn, #msform .edit-action-button {
	background: #45ADA8;
}
#msform .edit-action-button {
	width: 50px;
}
#msform .action-button-free {
	width: 200px;
}
#msform .summary_btn {
	width: 150px;
}
#msform .action-button:hover, #msform .action-button:focus,
#msform .action-button-free:hover, #msform .action-button-free:focus {
	box-shadow: 0 0 0 2px white, 0 0 0 3px #27AE60;
}

#msform .summary_btn:hover, #msform .summary_btn:focus,
#msform .edit-action-button:hover, #msform .edit-action-button:focus {
	box-shadow: 0 0 0 2px white, 0 0 0 3px #45ADA8;
}

#summary_tbl td {
	text-align: right;
}

/*************************** Form headings **************************/
.fs-title {
	font-size: 15px;
	text-transform: uppercase;
	color: #2C3E50;
	margin-bottom: 10px;
	text-align: center;
}
.fs-subtitle {
	font-weight: normal;
	font-size: 13px;
	color: #666;
	margin-bottom: 20px;
	text-align: center;
}

/*************************** Progress bar **************************/
#progressbar {
	margin-bottom: 30px;
	overflow: hidden;
	/*CSS counters to number the steps*/
	counter-reset: step;
}
#progressbar li {
	list-style-type: none;
	text-transform: uppercase;
	font-size: 9px;
	width: 12.5%;
	float: left;
	position: relative;
}
#progressbar li:before {
	content: counter(step);
	counter-increment: step;
	width: 20px;
	line-height: 20px;
	display: block;
	font-size: 10px;
	color: #333;
	background: white;
	border-radius: 3px;
	margin: 0 auto 5px auto;
}
/*progressbar connectors*/
#progressbar li:after {
	content: '';
	width: 100%;
	height: 2px;
	background: #5B875D;
	position: absolute;
	left: -50%;
	top: 9px;
	z-index: -1; /*put it behind the numbers*/
}
#progressbar li:first-child:after {
	/*connector not needed before the first step*/
	content: none;
}
/*marking active/completed steps green*/
/*The number of the step and the connector before it = green*/
#progressbar li.active:before,  #progressbar li.active:after{
	background: #27AE60;
	color: white;
}

.clear {
	clear:both;
}

/************************* MSG BOX FOR LOGIN/REGISTER *************************/
.messagebox{
	width:100px;
	border:1px solid #c93;
	background:#ffc;
	padding:5px;
	-webkit-border-radius: 8px;
	border-radius: 8px;-webkit-box-shadow: 1px 1px 12px 4px rgba(0, 0, 0, .4);
	box-shadow: 1px 1px 12px 4px rgba(0, 0, 0, .4);
}
.messageboxok{
	width:auto;
	border:1px solid #349534;
	background:#C9FFCA;
	padding:5px;
	font-weight:bold;
	color:#008000;
	-webkit-border-radius: 8px;
	border-radius: 8px;
	-webkit-box-shadow: 1px 1px 12px 4px rgba(0, 0, 0, .4);
	box-shadow: 1px 1px 12px 4px rgba(0, 0, 0, .4);
}
.messageboxerror{
	width:auto;
	border:1px solid #CC0000;
	background:#F7CBCA;
	padding:5px;
	font-weight:bold;
	color:#CC0000;
	-webkit-border-radius: 8px;
	border-radius: 8px;
	-webkit-box-shadow: 1px 1px 12px 4px rgba(0, 0, 0, .4);
	box-shadow: 1px 1px 12px 4px rgba(0, 0, 0, .4);
}

/************************* FILE DROP ZONE *************************/
.dz-browser-not-supported .dz-message {
    display: none !important
}

.dz-browser-not-supported.dropzone-box {
    min-height: auto !important;
    border: none !important;
    border-radius: 0 !important;
    width: auto !important;
    cursor: default !important;
    padding: 0 !important;
    -webkit-transition: none;
    transition: none
}

.dropzone-box {
    position: relative;
    min-height: 100px;
    border: 3px dashed #ddd;
    border-radius: 3px;
    vertical-align: middle;
    width: 100%;
    cursor: pointer;
    padding: 0 15px 15px 0;
    -webkit-transition: all .2s;
    transition: all .2s
}

.dz-default.dz-message {
    color: #555;
    font-size: 20px;
    font-weight: 600;
    display: block;
    min-height: 70px;
    width: 300px;
    position: absolute;
    padding-left: 90px;
    padding-top: 12px;
    line-height: 22px;
    top: 50%;
    margin-top: -35px;
    left: 50%;
    margin-left: -150px;
    -webkit-transition: all .2s;
    transition: all .2s
}

.dz-text-small {
    font-size: 14px;
    font-weight: 400
}

.dropzone-box .fa.fa-arrow-circle-up {
    display: block;
    width: 70px;
    height: 70px;
    position: absolute;
    left: 0;
    top: 0;
    text-align: center;
    line-height: 70px;
    font-size: 32px;
    background: #eee;
    color: #aaa;
    border-radius: 2px;
    -webkit-transition: all .2s;
    transition: all .2s
}

.dropzone-box:hover .fa.fa-arrow-circle-up {
    color: #7a6f6f
}

.dz-started .dz-default.dz-message {
    display: none
}

.dz-started:hover .fa.fa-arrow-circle-up {
    background: #eee !important;
    color: #aaa !important
}

.dz-preview {
    width: 130px;
    padding: 6px 10px 10px;
    margin: 15px 0 0 15px;
    display: inline-block;
    cursor: default;
    border: 1px solid #ddd;
    border-radius: 2px;
    vertical-align: top;
}

.dz-filename {
    color: #555;
    overflow: hidden;
    padding-bottom: 2px
}

.dz-reads {
    padding-bottom: 8px
}

.dz-thumbnail {
    /*width: 138px;*/
    height: 75px;
    text-align: center;
    display: table-cell;
    vertical-align: middle;
    overflow: hidden
}

.dz-thumbnail>img {
    max-width: 100%;
    max-height: 120px
}

.dz-preview .progess-bar, .dz-preview .progress {
    height: 8px
}

.dz-preview .progress {
    margin: 8px 0 0;
}

.dz-size, .dz-reads{
    font-style: italic;
    color: #aaa;
    font-size: 11px
}

.dz-size span, .dz-reads span {
    font-weight: 600
}

.dz-remove {
    line-height: 30px;
    display: block;
    margin: 8px -11px -11px -11px;
    text-align: center;
    color: #666;
    border-top: 1px solid #ddd;
    border-bottom: 1px solid transparent;
    font-weight: 600;
    font-size: 10px;
    text-transform: uppercase;
    -webkit-transition: all .1s;
    transition: all .1s;
    border-bottom-right-radius: 2px;
    border-bottom-left-radius: 2px
}

.dz-remove:hover {
    background: #e66454;
    color: #fff;
    border-top-color: transparent;
    text-decoration: none
}

.dz-thumbnail-wrapper {
    margin: 0 -10px;
    padding: 10px;
    background: #f2f2f2;
    border: 1px solid #ddd;
    border-left: none;
    border-right: none;
    position: relative
}

.dz-nopreview {
    text-transform: uppercase;
    font-size: 11px;
    font-weight: 600;
    color: #888
}

.dz-thumbnail img[src]+.dz-nopreview {
    display: none
}

.dz-error-mark, .dz-error-message, .dz-success-mark {
    display: none;
    position: absolute;
    left: -1px;
    right: -1px;
    top: -1px;
    bottom: -1px;
    text-align: center;
    background: rgba(0, 0, 0, .5);
    box-shadow: 0 0 30px rgba(0, 0, 0, .1)inset;
    -webkit-transition: all .1s;
    transition: all .1s
}

.dz-error-mark .fa, .dz-success-mark .fa {
    line-height: 100px;
    font-size: 50px;
    font-weight: 400
}

.dz-error-mark .fa {
    color: #fa6b59
}

.dz-success-mark .fa {
    color: #9ed441
}

.dz-error-message {
    color: #fff;
    font-weight: 600;
    padding: 20px 10px 0
}

.dz-error .dz-error-mark {
    display: block
}

.dz-error .dz-error-message, .dz-error:hover .dz-error-mark {
    display: none
}

.dz-error:hover .dz-error-message, .dz-success .dz-success-mark {
    display: block
}

/************************* FA *************************/
/*.fa {
    display: inline-block;
    font: normal normal normal 14px/1 FontAwesome;
    font-size: inherit;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale
} */

/*.fa-cloud-upload {
	content:"\f0aa";
}

.fa-cloud-upload:before {
    content: "\f0aa";
}

.fa-check-circle-o:before {
    content: "\f05d"
}

.fa-times-circle-o:before {
    content: "\f05c"
}*/

.fa.derived {
	display: block;
	color: #7a6f6f;
}

.fa.derived:after {
	content: "\f013";
	vertical-align: super;
	font-size: 80%;
}

.fa-times-circle {
	content: "\f057";
	color: red;
}

/************************* MISC *************************/
.callout {
	background: #fafafa;
	border-left: 3px solid #ddd;
	border-right: 0 solid #ddd;
	margin-bottom: 20px;
	padding: 20px;
	text-align: justify;
}
 .callout.callout-info{
	border-color: #5bc0de;
	background: #f6fbfd;
}

.callout.callout-warning {
    border-color: #f4b04f;
    background: #fbf7de;
}

.callout.callout-danger {
    border-color: #e66454;
    background: #fbf4f4;
}

.callout.callout-success {
    border-color: #5ebd5e;
    background: #f4faf2;
}

.callout h4 {
	margin-top: 0;
}
.callout.callout-info h4 {
	color: #5bc0de;
}
.callout.callout-danger h4 {
    color: #e66454
}
.callout.callout-warning h4 {
    color: #f4b04f
}
.callout.callout-success h4 {
    color: #5ebd5e
}

.spacer {
	display: block;
	padding: 15px 0 15px 0;
}

.form-group .derived {
	display: block;
	text-align: left;
	color: #7a6f6f;
	padding: 0 0 15px 0;
}

.form-elem {
	display: block;
	padding-left: 20px;
	margin-bottom: 10px;
	font-weight: 400;
	vertical-align: middle;
	cursor: pointer;
	text-align: left;
}

span.text-val {
	font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
}

.table-striped tbody tr:nth-child(odd) {
   background-color: #EDF7F7;
}

.stripe {
	background-color: #EDF7F7;
}

.new-library {
	background-color: #dff0d8;
}
